Skip to main content
`Ctrl`+`K`

# TSSSPSetType

set the `TSSSP` time integration scheme to use

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPSetType(TS ts, TSSSPType ssptype)

Logically Collective

## Input Parameters

- ts - time stepping object

- ssptype - type of scheme to use

## Options Database Keys

- -ts_ssp_type (rks2|rks3|rk104) - Type of `TSSSP` method, see `TSSSPType`

- -ts_ssp_num_stages nstages - Number of stages

## See Also

TS: Scalable ODE and DAE Solvers, `TSSSP`, `TSSSPGetType()`, `TSSSPSetNumStages()`, `TSSSPRKS2`, `TSSSPRKS3`, `TSSSPRK104`

## Level

beginner

## Location

src/ts/impls/explicit/ssp/ssp.c

## Implementations

TSSSPSetType_SSP() in src/ts/impls/explicit/ssp/ssp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages